> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Helm Registries Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/registries
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/registries:
    get:
      tags:
        - Helm API
      summary: List Helm Registries Endpoint
      operationId: list_helm_registries_endpoint_api_v1_org_helm_registries_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            title: Search
        - in: query
          name: sort_by
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/RegistrySortColumn'
              - type: 'null'
            title: Sort By
        - in: query
          name: sort_order
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            title: Sort Order
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListHelmChartRegistriesResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RegistrySortColumn:
      enum:
        - name
        - url
        - created_at
        - updated_at
        - chart_count
        - last_indexed_at
        - is_global
      title: RegistrySortColumn
      type: string
    SortOrder:
      enum:
        - asc
        - desc
      title: SortOrder
      type: string
    ListHelmChartRegistriesResult:
      properties:
        pagination:
          $ref: >-
            #/components/schemas/usecase__helm__list_helm_chart_registries__Pagination
        result:
          items:
            anyOf:
              - $ref: '#/components/schemas/ExtendedOCIRegistry'
              - $ref: '#/components/schemas/ExtendedHTTPRegistry'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ListHelmChartRegistriesResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    usecase__helm__list_helm_chart_registries__Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ExtendedOCIRegistry:
      properties:
        chart_count:
          title: Chart Count
          type: integer
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        indexing:
          title: Indexing
          type: boolean
        is_global:
          title: Is Global
          type: boolean
        last_indexed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Indexed At
        name:
          title: Name
          type: string
        next_sync_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Sync At
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        url:
          title: Url
          type: string
      required:
        - name
        - url
        - indexing
        - chart_count
        - is_global
      title: ExtendedOCIRegistry
      type: object
    ExtendedHTTPRegistry:
      properties:
        chart_count:
          title: Chart Count
          type: integer
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        exclude_charts:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: []
          title: Exclude Charts
        indexing:
          title: Indexing
          type: boolean
        is_global:
          title: Is Global
          type: boolean
        last_indexed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Indexed At
        name:
          title: Name
          type: string
        next_sync_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Sync At
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        url:
          title: Url
          type: string
      required:
        - name
        - url
        - indexing
        - chart_count
        - is_global
      title: ExtendedHTTPRegistry
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````